- Qt 6.7
- Qt Designer Manual
- C++ Classes
- QAbstractExtensionFactory
- Qt 6.7.3 Reference Documentation

# QAbstractExtensionFactory Class

The QAbstractExtensionFactory class provides an interface for extension factories in Qt Designer. More...

Header: | #include <QAbstractExtensionFactory>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Designer) target_link_libraries(mytarget PRIVATE Qt6::Designer)
qmake: | QT += designer
Inherited By: | QExtensionFactory

- List of all members, including inherited members

## Public Functions

virtual | ~QAbstractExtensionFactory()
virtual QObject * | extension(QObject *object, const QString &iid) const = 0

## Detailed Description

QAbstractExtensionFactory is not intended to be instantiated directly; use the QExtensionFactory instead.

In Qt Designer, extension factories are used to look up and create named extensions as they are required. For that reason, when implementing a custom extension, you must also create a QExtensionFactory, i.e a class that is able to make an instance of your extension, and register it using Qt Designer's extension manager.

When an extension is required, Qt Designer's extension manager will run through all its registered factories calling QExtensionFactory::createExtension() for each until the first one that is able to create the requested extension for the selected object, is found. This factory will then make an instance of the extension.

See also QExtensionFactory and QExtensionManager.

## Member Function Documentation

### `[virtual noexcept]` QAbstractExtensionFactory::~QAbstractExtensionFactory()

Destroys the extension factory.

### `[pure virtual]` QObject *QAbstractExtensionFactory::extension(QObject *object, const QString &iid) const

Returns the extension specified by iid for the given object.